For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet Reports
      • GETGet report
      • GETGet report download URL
      • GETGet invoice lines report
      • GETGet invoice tax report
      • GETGet invoice header report
      • POSTSearch reports
      • GETGet ReportGenerateRequests
      • POSTCreate a ReportGenerateRequest
      • POSTSearch ReportGenerateRequests
      • GETGet ReportGenerateRequest
      • GETGet Report
  • Event API
LoginSandbox
Transaction APIReports

Search ReportGenerateRequests

POST
/v:version/report-generate-requests/search
POST
/v:version/report-generate-requests/search
$curl -X POST https://api.solvimon.com/v1/report-generate-requests/search \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "customer_id": "string",
7 "invoice_id": "string",
8 "generate_at": "2024-01-15T09:30:00Z",
9 "report_code": "INVOICE",
10 "parameter_values": [
11 {
12 "name": "report_date",
13 "value": "string"
14 }
15 ],
16 "status": "string",
17 "report_subscription_id": "string",
18 "report_configuration_id": "string",
19 "run_type": "string",
20 "export_location": {
21 "integration_id": "string",
22 "variant": "BIGQUERY",
23 "stream_name": "string",
24 "bigquery": {
25 "dataset_id": "string"
26 },
27 "s3": {
28 "bucket_path": "string",
29 "path_format": "string",
30 "format_type": "CSV"
31 },
32 "gcs": {
33 "bucket_path": "string",
34 "path_format": "string",
35 "format_type": "CSV"
36 }
37 }
38 }
39 ],
40 "links": {
41 "first": "string",
42 "previous": "string",
43 "current": "string",
44 "next": "string"
45 },
46 "limit": 1,
47 "page": 1,
48 "total_number_of_pages": 1
49}

Requires the REPORT_GENERATE_REQUEST.VIEW permission.

Was this page helpful?
Previous

Get ReportGenerateRequest

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional

The parameter by which the response is ordered. default = name

order_directionstringOptional

The parameter for the response ordering direction (asc, desc) default asc

Request

This endpoint expects an object.
search_fieldslist of objectsOptional
filter_fieldslist of objectsOptional
selection_rule_fieldslist of objectsOptional

Response

Created
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error